%define upstream_name Net_Vpopmaild
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.2
Release:     	%mkrel 10
Summary:    	Class for accessing Vpopmail's vpopmaild daemon
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_Vpopmaild-%{version}.tgz
URL: 		http://pear.php.net/package/Net_Vpopmaild
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket
Requires:	php-pear-Log
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch
%global __requires_exclude_from ^%{peardir}/test

%description
Supports all vpopmaild commands, such as adding/removing domains, users,
robots (autoresponders), and ezmlm lists (todo), as well as modifying
domain limits, ip maps, etc

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Vpopmaild.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Vpopmaild.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Vpopmaild
fi

%files
%doc docs/Net_Vpopmaild/*
%{peardir}/*
%{xmldir}/Net_Vpopmaild.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.2-10.mga8
+ Revision: 1499125
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.2-9.mga7
+ Revision: 1273745
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.3.2-8.mga6
+ Revision: 934790
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-7.mga5
+ Revision: 743210
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.3.2-6.mga5
+ Revision: 736440
- add excludes

* Wed Oct 01 2014 tv <tv> 0.3.2-5.mga5
+ Revision: 734124
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 687399
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-3.mga5
+ Revision: 517108
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 377082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 0.3.2-1.mga2
+ Revision: 199893
- upgrade to 0.3.2
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 0.3.1-5.mga1
+ Revision: 44014
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Vpopmaild


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-5mdv2011.0
+ Revision: 613742
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-4mdv2010.1
+ Revision: 468727
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-3mdv2010.0
+ Revision: 441496
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2009.1
+ Revision: 322505
- rebuild

* Wed Sep 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2009.0
+ Revision: 279772
- import php-pear-Net_Vpopmaild


* Wed Sep 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2009.0
- initial Mandriva package
